Custom Field

The endpoint for the Custom Fields in your account.

Retrieve multiple Custom Fields based on search critera passed as GET Arguments

get/customtag/
Securityapi_key and username
Request
query Parameters
archived
boolean
conditional_parent_custom_field_id
integer <int64>

The customtag with which this customtag is associated.

NOTE: Parameter accepts additional qualifiers appended to the end:
conditional_parent_custom_field__in - The value for the record is in the provided array parameter (comma-separated values).
conditional_parent_custom_field__isnull - The value for the record is null (if true) or is not null.

display_on_create_page
boolean
display_on_profile
boolean
external_name
string

NOTE: Parameter accepts additional qualifiers appended to the end:
external_name__in - The value for the record is in the provided array parameter (comma-separated values).
external_name__contains, external_name__icontains - The value for the record contains the string provided as a parameter within it (partial match). (Use 'icontains' for matching to be done case-insensitive)
external_name__startswith, external_name__istartswith - The value for the record starts with the string provided as a parameter. (Use 'istartswith' for matching to be done case-insensitive)
external_name__endswith, external_name__iendswith - The value for the record ends with the string provided as a parameter within it (partial match). (Use 'iendswith' for matching to be done case-insensitive)
external_name__iexact - The value for the record is a case-insensitive exact match to the provided parameter.
external_name__isnull - The value for the record is null (if true) or is not null.

group_id
integer <int64>

The customfieldgroup with which this customtag is associated.

NOTE: Parameter accepts additional qualifiers appended to the end:
group__in - The value for the record is in the provided array parameter (comma-separated values).
group__isnull - The value for the record is null (if true) or is not null.

id
integer <int64>

Quorum ID (Primary Key)

is_required
boolean
name
string

NOTE: Parameter accepts additional qualifiers appended to the end:
name__in - The value for the record is in the provided array parameter (comma-separated values).
name__contains, name__icontains - The value for the record contains the string provided as a parameter within it (partial match). (Use 'icontains' for matching to be done case-insensitive)
name__startswith, name__istartswith - The value for the record starts with the string provided as a parameter. (Use 'istartswith' for matching to be done case-insensitive)
name__endswith, name__iendswith - The value for the record ends with the string provided as a parameter within it (partial match). (Use 'iendswith' for matching to be done case-insensitive)
name__iexact - The value for the record is a case-insensitive exact match to the provided parameter.

organization_id
integer <int64>

The organization with which this customtag is associated.

NOTE: Parameter accepts additional qualifiers appended to the end:
organization__in - The value for the record is in the provided array parameter (comma-separated values).

slug
string

NOTE: Parameter accepts additional qualifiers appended to the end:
slug__in - The value for the record is in the provided array parameter (comma-separated values).
slug__contains, slug__icontains - The value for the record contains the string provided as a parameter within it (partial match). (Use 'icontains' for matching to be done case-insensitive)
slug__startswith, slug__istartswith - The value for the record starts with the string provided as a parameter. (Use 'istartswith' for matching to be done case-insensitive)
slug__endswith, slug__iendswith - The value for the record ends with the string provided as a parameter within it (partial match). (Use 'iendswith' for matching to be done case-insensitive)
slug__iexact - The value for the record is a case-insensitive exact match to the provided parameter.

tag_owner
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
tag_owner__in - The value for the record is in the provided array parameter (comma-separated values).

See the Enumeration Documentation CSV file located at Quorum_API_Enumeration_Values.csv, name QuorumDataType, for an explanation of values.

Enum: 1 2 3 4 5 6 7 8 9 10 12 14 15 16 17 18 20 21 22 23 24 25 26 27 28 29 30 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 52 53 54 55 56 57 58 59 60 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148
tag_type
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
tag_type__in - The value for the record is in the provided array parameter (comma-separated values).

See the Enumeration Documentation CSV file located at Quorum_API_Enumeration_Values.csv, name TagType, for an explanation of values.

Enum: 1 2 5 6 7 8 9
updated
string <date-time>

NOTE: Parameter accepts additional qualifiers appended to the end:
updated__year, updated__month, updated__day - The value for the record matches the provided year/month/day (note that week_day, hour, minute, and second are also available following similar patterns).

dehydrate
Array of strings

Option to provide additional detail for certain fields, either by expanding those fields with additional details from the related model or by substituting more informative values for the actual database values.
default_string_value - expand default_string_value with additional details.
group_name - expand group_name with additional details.
resource_uri - expand resource_uri with additional details.
NOTE: This parameter can accept one or more comma-separated values; it is not limited to a single value.

Items Enum: "default_string_value" "group_name" "resource_uri"
limit
integer <int64>
Default: 20

The number of records to return (for pagination).

offset
integer <int64>
Default: 0

The number of records to offset the start of the data being returned (for pagination).

Responses
200

CustomTag retrieved successfully

400

improperly configured request

401

authorization failure

500

internal server error

Response samples
application/json
{
  • "_extra": { },
  • "archived": false,
  • "conditional_boolean_value": true,
  • "conditional_list_value": [
    ],
  • "conditional_parent_custom_field": "/api/customtag/1/",
  • "conditional_string_value": "string",
  • "created": "2019-08-24T14:15:22Z",
  • "creator": "string",
  • "default_boolean_value": true,
  • "default_multi_value": [
    ],
  • "default_string_value": "string",
  • "default_value": "string",
  • "description": "string",
  • "display_null_value": false,
  • "display_on_create_page": true,
  • "display_on_filters": true,
  • "display_on_profile": true,
  • "external_description": "string",
  • "external_name": "string",
  • "group": "/api/customfieldgroup/1/",
  • "group_name": "string",
  • "id": 0,
  • "is_editable": true,
  • "is_hyperlinkable": false,
  • "is_required": false,
  • "limited_to_teams": [
    ],
  • "name": "string",
  • "option_display_type": 0,
  • "options": [
    ],
  • "options_new": { },
  • "organization": "/api/organization/1/",
  • "power_search_data_set": 1,
  • "precedence": 0,
  • "resource_uri": "string",
  • "slug": "string",
  • "tag_owner": 12,
  • "tag_type": 1,
  • "updated": "2019-08-24T14:15:22Z",
  • "used_to_generate_outbox_email_lists": false
}

Create a single Custom Field

post/customtag/
Securityapi_key and username
Request
path Parameters
id
required
integer <int64>

Quorum ID (Primary Key)

Request Body schema: application/json
archived
boolean
conditional_boolean_value
boolean
conditional_list_value
Array of strings
conditional_parent_custom_field_id
string <{"id": QUORUM_ID}>

The customtag with which this customtag is associated.

conditional_string_value
string
creator_id
string <{"id": QUORUM_ID}>

The quorumuser with which this customtag is associated.

default_boolean_value
boolean
default_multi_value
Array of strings
default_string_value
string
description
string
display_null_value
boolean
display_on_create_page
boolean
display_on_filters
boolean
display_on_profile
boolean
external_description
string
external_name
string
group_id
string <{"id": QUORUM_ID}>

The customfieldgroup with which this customtag is associated.

is_hyperlinkable
boolean
is_required
boolean
limited_to_teams
Array of strings <{"id": QUORUM_ID}>

The teams that are associated with this customtag.

name
string
option_display_type
integer <int64>

See the Enumeration Documentation CSV file located at Quorum_API_Enumeration_Values.csv, name SupporterTagOptionDisplayType, for an explanation of values.

Enum: 0 1
options
Array of strings
options_new
string

String-encoded JSON Object. This field requires special handling.

power_search_data_set
integer <int64>

See the Enumeration Documentation CSV file located at Quorum_API_Enumeration_Values.csv, name QuorumDataType, for an explanation of values.

Enum: 1 2 3 4 5 6 7 8 9 10 12 14 15 16 17 18 20 21 22 23 24 25 26 27 28 29 30 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 52 53 54 55 56 57 58 59 60 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148
precedence
integer <int64>
used_to_generate_outbox_email_lists
boolean
Responses
200

CustomTag retrieved successfully

400

improperly configured request

401

authorization failure

500

internal server error

Request samples
application/json
{
  • "archived": true,
  • "conditional_boolean_value": true,
  • "conditional_list_value": [
    ],
  • "conditional_parent_custom_field_id": "string",
  • "conditional_string_value": "string",
  • "creator_id": "string",
  • "default_boolean_value": true,
  • "default_multi_value": [
    ],
  • "default_string_value": "string",
  • "description": "string",
  • "display_null_value": true,
  • "display_on_create_page": true,
  • "display_on_filters": true,
  • "display_on_profile": true,
  • "external_description": "string",
  • "external_name": "string",
  • "group_id": "string",
  • "is_hyperlinkable": true,
  • "is_required": true,
  • "limited_to_teams": [
    ],
  • "name": "string",
  • "option_display_type": 0,
  • "options": [
    ],
  • "options_new": "string",
  • "power_search_data_set": 1,
  • "precedence": 0,
  • "used_to_generate_outbox_email_lists": true
}
Response samples
application/json
{
  • "_extra": { },
  • "archived": false,
  • "conditional_boolean_value": true,
  • "conditional_list_value": [
    ],
  • "conditional_parent_custom_field": "/api/customtag/1/",
  • "conditional_string_value": "string",
  • "created": "2019-08-24T14:15:22Z",
  • "creator": "string",
  • "default_boolean_value": true,
  • "default_multi_value": [
    ],
  • "default_string_value": "string",
  • "default_value": "string",
  • "description": "string",
  • "display_null_value": false,
  • "display_on_create_page": true,
  • "display_on_filters": true,
  • "display_on_profile": true,
  • "external_description": "string",
  • "external_name": "string",
  • "group": "/api/customfieldgroup/1/",
  • "group_name": "string",
  • "id": 0,
  • "is_editable": true,
  • "is_hyperlinkable": false,
  • "is_required": false,
  • "limited_to_teams": [
    ],
  • "name": "string",
  • "option_display_type": 0,
  • "options": [
    ],
  • "options_new": { },
  • "organization": "/api/organization/1/",
  • "power_search_data_set": 1,
  • "precedence": 0,
  • "resource_uri": "string",
  • "slug": "string",
  • "tag_owner": 12,
  • "tag_type": 1,
  • "updated": "2019-08-24T14:15:22Z",
  • "used_to_generate_outbox_email_lists": false
}

Retrieve information on a single Custom Field

get/customtag/{id}/
Securityapi_key and username
Request
path Parameters
id
required
integer <int64>

Quorum ID (Primary Key)

query Parameters
dehydrate
Array of strings

Option to provide additional detail for certain fields, either by expanding those fields with additional details from the related model or by substituting more informative values for the actual database values.
default_string_value - expand default_string_value with additional details.
group_name - expand group_name with additional details.
resource_uri - expand resource_uri with additional details.
NOTE: This parameter can accept one or more comma-separated values; it is not limited to a single value.

Items Enum: "default_string_value" "group_name" "resource_uri"
Responses
200

CustomTag retrieved successfully

400

improperly configured request

401

authorization failure

500

internal server error

Response samples
application/json
{
  • "_extra": { },
  • "archived": false,
  • "conditional_boolean_value": true,
  • "conditional_list_value": [
    ],
  • "conditional_parent_custom_field": "/api/customtag/1/",
  • "conditional_string_value": "string",
  • "created": "2019-08-24T14:15:22Z",
  • "creator": "string",
  • "default_boolean_value": true,
  • "default_multi_value": [
    ],
  • "default_string_value": "string",
  • "default_value": "string",
  • "description": "string",
  • "display_null_value": false,
  • "display_on_create_page": true,
  • "display_on_filters": true,
  • "display_on_profile": true,
  • "external_description": "string",
  • "external_name": "string",
  • "group": "/api/customfieldgroup/1/",
  • "group_name": "string",
  • "id": 0,
  • "is_editable": true,
  • "is_hyperlinkable": false,
  • "is_required": false,
  • "limited_to_teams": [
    ],
  • "name": "string",
  • "option_display_type": 0,
  • "options": [
    ],
  • "options_new": { },
  • "organization": "/api/organization/1/",
  • "power_search_data_set": 1,
  • "precedence": 0,
  • "resource_uri": "string",
  • "slug": "string",
  • "tag_owner": 12,
  • "tag_type": 1,
  • "updated": "2019-08-24T14:15:22Z",
  • "used_to_generate_outbox_email_lists": false
}

Update a single Custom Field by ID

patch/customtag/{id}/
Securityapi_key and username
Request
path Parameters
id
required
integer <int64>

Quorum ID (Primary Key)

Request Body schema: application/json
archived
boolean
conditional_boolean_value
boolean
conditional_list_value
Array of strings
conditional_parent_custom_field_id
string <{"id": QUORUM_ID}>

The customtag with which this customtag is associated.

conditional_string_value
string
creator_id
string <{"id": QUORUM_ID}>

The quorumuser with which this customtag is associated.

default_boolean_value
boolean
default_multi_value
Array of strings
default_string_value
string
description
string
display_null_value
boolean
display_on_create_page
boolean
display_on_filters
boolean
display_on_profile
boolean
external_description
string
external_name
string
group_id
string <{"id": QUORUM_ID}>

The customfieldgroup with which this customtag is associated.

is_hyperlinkable
boolean
is_required
boolean
limited_to_teams
Array of strings <{"id": QUORUM_ID}>

The teams that are associated with this customtag.

name
string
option_display_type
integer <int64>

See the Enumeration Documentation CSV file located at Quorum_API_Enumeration_Values.csv, name SupporterTagOptionDisplayType, for an explanation of values.

Enum: 0 1
options
Array of strings
options_new
string

String-encoded JSON Object. This field requires special handling.

power_search_data_set
integer <int64>

See the Enumeration Documentation CSV file located at Quorum_API_Enumeration_Values.csv, name QuorumDataType, for an explanation of values.

Enum: 1 2 3 4 5 6 7 8 9 10 12 14 15 16 17 18 20 21 22 23 24 25 26 27 28 29 30 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 52 53 54 55 56 57 58 59 60 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148
precedence
integer <int64>
used_to_generate_outbox_email_lists
boolean
Responses
200

CustomTag retrieved successfully

400

improperly configured request

401

authorization failure

500

internal server error

Request samples
application/json
{
  • "archived": true,
  • "conditional_boolean_value": true,
  • "conditional_list_value": [
    ],
  • "conditional_parent_custom_field_id": "string",
  • "conditional_string_value": "string",
  • "creator_id": "string",
  • "default_boolean_value": true,
  • "default_multi_value": [
    ],
  • "default_string_value": "string",
  • "description": "string",
  • "display_null_value": true,
  • "display_on_create_page": true,
  • "display_on_filters": true,
  • "display_on_profile": true,
  • "external_description": "string",
  • "external_name": "string",
  • "group_id": "string",
  • "is_hyperlinkable": true,
  • "is_required": true,
  • "limited_to_teams": [
    ],
  • "name": "string",
  • "option_display_type": 0,
  • "options": [
    ],
  • "options_new": "string",
  • "power_search_data_set": 1,
  • "precedence": 0,
  • "used_to_generate_outbox_email_lists": true
}
Response samples
application/json
{
  • "_extra": { },
  • "archived": false,
  • "conditional_boolean_value": true,
  • "conditional_list_value": [
    ],
  • "conditional_parent_custom_field": "/api/customtag/1/",
  • "conditional_string_value": "string",
  • "created": "2019-08-24T14:15:22Z",
  • "creator": "string",
  • "default_boolean_value": true,
  • "default_multi_value": [
    ],
  • "default_string_value": "string",
  • "default_value": "string",
  • "description": "string",
  • "display_null_value": false,
  • "display_on_create_page": true,
  • "display_on_filters": true,
  • "display_on_profile": true,
  • "external_description": "string",
  • "external_name": "string",
  • "group": "/api/customfieldgroup/1/",
  • "group_name": "string",
  • "id": 0,
  • "is_editable": true,
  • "is_hyperlinkable": false,
  • "is_required": false,
  • "limited_to_teams": [
    ],
  • "name": "string",
  • "option_display_type": 0,
  • "options": [
    ],
  • "options_new": { },
  • "organization": "/api/organization/1/",
  • "power_search_data_set": 1,
  • "precedence": 0,
  • "resource_uri": "string",
  • "slug": "string",
  • "tag_owner": 12,
  • "tag_type": 1,
  • "updated": "2019-08-24T14:15:22Z",
  • "used_to_generate_outbox_email_lists": false
}